NamingContextExtOperations (Java Platform SE 8 )
Keywords: org.omg.CosNaming.NamingContextExtOperations interface
Date: 2026-04-22

org.omg.CosNaming

## Interface NamingContextExtOperations

- All Superinterfaces:
    NamingContextOperations
  All Known Subinterfaces:
    NamingContextExt
  All Known Implementing Classes:
    _NamingContextExtStub, NamingContextExtPOA

      public interface NamingContextExtOperations
      extends NamingContextOperations

  `NamingContextExt` is the extension of `NamingContext` which contains a set of name bindings in which each name is unique and is part of Interoperable Naming Service. Different names can be bound to an object in the same or different contexts at the same time. Using `NamingContextExt`, you can use URL-based names to bind and resolve.

  See CORBA COS Naming Specification.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `resolve_str(String sn)` This operation resolves the Stringified name into the object reference.
    `NameComponent[]` | `to_name(String sn)` This operation converts a Stringified Name into an equivalent array of Name Components.
    `String` | `to_string(NameComponent[] n)` This operation creates a stringified name from the array of Name components.
    `String` | `to_url(String addr, String sn)` This operation creates a URL based "iiopname://" format name from the Stringified Name of the object.

    - ### Methods inherited from interface org.omg.CosNaming.NamingContextOperations

      `bind_context, bind_new_context, bind, destroy, list, new_context, rebind_context, rebind, resolve, unbind`

- - ### Method Detail

    - #### to_string

          String to_string(NameComponent[] n)
                    throws InvalidName

      This operation creates a stringified name from the array of Name components.
      Parameters:
        `n` - Name of the object

      Throws:
        `org.omg.CosNaming.NamingContextExtPackage.InvalidName` - Indicates the name does not identify a binding.

        `InvalidName`

    - #### to_name

          NameComponent[] to_name(String sn)
                           throws InvalidName

      This operation converts a Stringified Name into an equivalent array of Name Components.
      Parameters:
        `sn` - Stringified Name of the object

      Throws:
        `org.omg.CosNaming.NamingContextExtPackage.InvalidName` - Indicates the name does not identify a binding.

        `InvalidName`

    - #### to_url

          String to_url(String addr,
                        String sn)
                 throws InvalidAddress,
                        InvalidName

      This operation creates a URL based "iiopname://" format name from the Stringified Name of the object.
      Parameters:
        `addr` - internet based address of the host machine where Name Service is running

        `sn` - Stringified Name of the object

      Throws:
        `org.omg.CosNaming.NamingContextExtPackage.InvalidName` - Indicates the name does not identify a binding.

        `org.omg.CosNaming.NamingContextPackage.InvalidAddress` - Indicates the internet based address of the host machine is incorrect

        `InvalidAddress`
        `InvalidName`

    - #### resolve_str

          Object resolve_str(String sn)
                      throws NotFound,
                             CannotProceed,
                             InvalidName

      This operation resolves the Stringified name into the object reference.
      Parameters:
        `sn` - Stringified Name of the object

      Throws:
        `NotFound` - Indicates there is no object reference for the given name.

        `CannotProceed` - Indicates that the given compound name is incorrect

        `org.omg.CosNaming.NamingContextExtPackage.InvalidName` - Indicates the name does not identify a binding.

        `InvalidName`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.